Bug 195858 - Any version fails to build
Any version fails to build
Product: Fedora
Classification: Fedora
Component: amaya (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
: 203256 (view as bug list)
Depends On: 195857 198247
Blocks: 195652
  Show dependency treegraph
Reported: 2006-06-18 17:26 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-12 08:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to link against libpng10 rather than libpng (1.39 KB, patch)
2006-06-29 16:12 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-06-18 17:26:28 EDT
Description of problem:
Amaya (9.5 or 9.51) currently fails to build due to a missing symbol in libpng-12

Version-Release number of selected component (if applicable):
9.5.1 or 9.5

How reproducible:

Additional info:

Missing symbol reported in BZ 195857
Comment 1 Paul Howarth 2006-06-28 11:42:58 EDT
The missing symbol bug needs to be re-reported since Bug #195857 was reassigned
to a different bug following the bugzilla crash.
Comment 2 Paul Howarth 2006-06-29 16:12:31 EDT
Created attachment 131773 [details]
Patch to link against libpng10 rather than libpng

Don't know what I was thinking with Comment #1. Must have been looking at a
different bug.

Anyway, if you can get imlib and libpng10 into FC6 Extras, the attached patch
will allow amaya to build.
Comment 3 Paul Howarth 2006-07-14 13:48:38 EDT
Adding dep on libpng10 review request. With imlib already in Extras, all that's
needed to get amaya going again is libpng10.
Comment 4 Paul F. Johnson 2006-07-14 14:24:46 EDT
I'm unable to get it to build on x86_64 or x86 with libpng10 (I've done a
rebuild on a local box) or libpng proper. I know there is a blocker on x86_64,
but the i386 problem is a stumper
Comment 5 Paul Howarth 2006-07-14 15:35:13 EDT
Not even with the patch from Comment #2? I did test that one in mock before I
attached it, so maybe something has changed in rawhide?
Comment 6 Paul F. Johnson 2006-07-14 18:01:20 EDT
It completely fails to build in either x86 or x86_64 due to BMfile.c having a
problem. This may be a gcc issue though. The source looks okay from here.
Comment 7 Paul F. Johnson 2006-08-20 06:18:48 EDT
*** Bug 203256 has been marked as a duplicate of this bug. ***
Comment 8 Matt Domsch 2006-10-12 08:35:27 EDT
amaya marked as a dead.package 11-Oct-2006. Closing.

Note You need to log in before you can comment on or make changes to this bug.